pydo.databases.update_user()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.databases.update_user(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
username="app-01",
body={
"settings": {...},
},
)Description
To update an existing database user, send a PUT request to /v2/databases/{database_cluster_uuid}/users/{username}
with the desired settings.
Note: only settings can be updated via this type of request. If you wish to change the name of a user,
you must recreate a new user.
The response will be a JSON object with a key called user. The value of this will be an
object that contains the name of the update database user, along with the settings object that
has been updated.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
usernamestring requiredThe name of the database user.
settingsobject requiredShow child properties
pg_allow_replicationboolean optionalExample:
TrueFor Postgres clusters, set to
truefor a user with replication rights.
This option is not currently supported for other database engines.opensearch_aclarray of objects optionalACLs (Access Control Lists) specifying permissions on index within a OpenSearch cluster.
Show child properties
indexstring optionalExample:
index-abc.*A regex for matching the indexes that this ACL should apply to.
permissionstring optionalPermission set applied to the ACL. 'read' allows user to read from the index. 'write' allows for user to write to the index. 'readwrite' allows for both 'read' and 'write' permission. 'deny'(default) restricts user from performing any operation over an index. 'admin' allows for 'readwrite' as well as any operations to administer the index.
aclarray of objects optionalACLs (Access Control Lists) specifying permissions on topics within a Kafka cluster.
Show child properties
idstring optionalExample:
aaaAn identifier for the ACL. Will be computed after the ACL is created/updated.
topicstring requiredExample:
topic-abc.*A regex for matching the topic(s) that this ACL should apply to.
permissionstring requiredPermission set applied to the ACL. 'consume' allows for messages to be consumed from the topic. 'produce' allows for messages to be published to the topic. 'produceconsume' allows for both 'consume' and 'produce' permission. 'admin' allows for 'produceconsume' as well as any operations to administer the topic (delete, update).
mongo_user_settingsobject optionalMongoDB-specific settings for the user. This option is not currently supported for other database engines.
Show child properties
databasesarray of strings optionalExample:
['my-db', 'my-db-2']A list of databases to which the user should have access. When the database is set to
admin, the user will have access to all databases based on the user's role i.e. a user with the rolereadOnlyassigned to theadmindatabase will have read access to all databases.rolestring optionalThe role to assign to the user with each role mapping to a MongoDB built-in role.
readOnlymaps to a read role.readWritemaps to a readWrite role.dbAdminmaps to a dbAdmin role.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/users/{username} in the API reference for additional detail on responses, headers, parameters, and more.